package com.yfd.platform.modules.experimentalData.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.sql.Timestamp;


@Data
public class TsFilesDTO {

    /**
     * 文档ID
     */
    private String id;

    /**
     * 节点ID
     */
    private String nodeId;

    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 上级节点：顶级：“00”
     */
    private String parentId;

    /**
     * 文件夹、文件区分
     */
    private String isFile;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * M
     */
    private String fileSize;

    /**
     * 工作空间存储路径
     */
    private String workPath;

    /**
     * 备份空间存储路径
     */
    private String backupPath;

    /**
     * MD5值
     */
    private String locatMd5;
    private String minioMd5;

    /**
     * 上传时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp uploadTime;

    @TableField(exist = false)
    private int number;
}
