package com.yfd.platform.modules.specialDocument.mapper;

import com.yfd.platform.modules.specialDocument.domain.Nodes;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专项文档节点表 Mapper 接口
 * </p>
 *
 * @author LiMengNan
 * @since 2025-01-20
 */
public interface NodesMapper extends BaseMapper<Nodes> {

    int batchInsertIgnore(List<Nodes> nodesList);

    int updateParentIdByPathHierarchy();

    int deleteNodesRecursively(String nodeId);

    void updateNodesByPath(@Param("projectId") String projectId,@Param("oldBasePath")  String oldBasePath,@Param("newBasePath")  String newBasePath);
}
